Page MenuHomePhabricator

Reference adapatation cause javascript error with infinite recursion
Closed, ResolvedPublic1 Story Points

Description

Try a translation - Special:ContentTranslation&page=Hebrew+language&from=en&to=he&targettitle=Hebrew+language&debug=1

Click on second paragraph and you will notice browser hangs for couple of seconds and finally an error in console saying maximum callstack reached..

It is caused by a recursion in ReferenceCard.prototype.getReferenceData method

Event Timeline

santhosh created this task.Mar 17 2015, 6:26 AM
santhosh claimed this task.
santhosh raised the priority of this task from to High.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2015, 6:26 AM
Arrbee set Security to None.

Change 197286 had a related patch set uploaded (by Santhosh):
References: Fix javascript error by infinite recursion

https://gerrit.wikimedia.org/r/197286

santhosh moved this task from Backlog to In Review on the LE-Sprint-84 board.Mar 17 2015, 10:02 AM
santhosh edited a custom field.

Change 197286 merged by jenkins-bot:
References: Fix javascript error by infinite recursion

https://gerrit.wikimedia.org/r/197286

santhosh moved this task from In Review to Done on the LE-Sprint-84 board.Mar 18 2015, 9:46 AM
Nikerabbit closed this task as Resolved.Mar 19 2015, 7:01 AM
Nikerabbit added a subscriber: Nikerabbit.